﻿namespace ProjectAirPlane.Entites;

/// <summary>
/// Класс-сущность "Спортивный самолёт"
/// </summary>
public class EntityAirPlane : EntityPlane
{
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия обвеса
    /// </summary>
    public bool Radar { get; private set; }

    /// <summary>
    /// Признак (опция) наличия антикрыла
    /// </summary>
    public bool DopBak { get; private set; }

    /// <summary>
    /// Признак (опция) наличия гоночной полосы
    /// </summary>
    public bool Chassi { get; private set; }

    /// <summary>
    /// Шаг перемещения автомобиля
    /// </summary>
  

    /// <summary>
    /// Инициализация полей объекта-класса спортивного автомобиля
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес автомобиля</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="radar">Признак наличия обвеса</param>
    /// <param name="dopBak">Признак наличия антикрыла</param>
    /// <param name="chassi">Признак наличия гоночной полосы</param>
    public EntityAirPlane(int speed, double weight, Color bodyColor, Color additionalColor, bool radar, bool dopBak, bool chassi) : base(speed, weight, bodyColor)
    {
       
        AdditionalColor = additionalColor;
        Radar = radar;
        DopBak = dopBak;
        Chassi = chassi;

    }
}